.main {
  height: calc(100vh - 50px);
  padding-left: 100px;
  padding-right: 275px;
  background: #333333;
  overflow-y: auto;
  z-index: 11;
  -webkit-transition: ease-in-out 0.2s;
  transition: ease-in-out 0.2s;
}
.main .main-content {
  height: 100%;
  z-index: 1;
}
.main .main-content .action-control {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding-right: 20px;
  padding-left: 20px;
  margin-top: 13px;
}
.main .main-content .action-control .btn-redo,
.main .main-content .action-control .btn-undo {
  background: transparent;
  outline: none;
  -webkit-box-shadow: none;
          box-shadow: none;
  border: none;
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 14px;
  color: #999999;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  margin-right: 20px;
  cursor: pointer;
}
.main .main-content .action-control .btn-redo svg,
.main .main-content .action-control .btn-undo svg {
  margin-right: 6px;
}
.main .main-content .action-control .btn-redo svg path,
.main .main-content .action-control .btn-undo svg path {
  -webkit-transition: all 0.2s;
  transition: all 0.2s;
}
.main .main-content .action-control .btn-redo:hover,
.main .main-content .action-control .btn-undo:hover {
  color: white;
}
.main .main-content .action-control .btn-redo:hover svg path,
.main .main-content .action-control .btn-undo:hover svg path {
  fill: white;
  -webkit-transition: all 0.2s;
  transition: all 0.2s;
}
.main .main-content .action-control .act-room {
  margin-left: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  background: #111111;
  border: 1px solid #333333;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  border-radius: 4px;
  padding: 4px;
}
.main .main-content .action-control .act-room .btn {
  background-color: transparent;
  outline: none;
  -webkit-box-shadow: none;
          box-shadow: none;
  border: none;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  cursor: pointer;
  -webkit-transition: all 0.2s;
  transition: all 0.2s;
}
.main .main-content .action-control .act-room .btn:hover {
  color: white;
}
.main .main-content .action-control .act-room .btn:hover svg path {
  fill: white;
}
.main .main-content .action-control .act-room .form-control {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 12px;
  line-height: 14px;
  color: #999999;
  padding: 0 6px;
}
.main .main-content .view-wp {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-line-pack: center;
      align-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  height: calc(100% - 50px);
  overflow: auto;
  padding: 0 50px;
}
.main .main-content .view-wp .item .child-item {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.del-elm {
  position: absolute;
  top: 10px;
  right: 10px;
  cursor: pointer;
}
.del-elm path {
  fill: gray;
}
@media (max-width: 1920px) {
  .del-elm {
    width: 15px;
    height: 15px;
  }
}

.hidden {
  display: none;
}

.layout-sticky {
  display: none;
  position: fixed;
  z-index: 101;
}

.layout-sticky.show {
  display: block;
}

.action-content {
  display: none;
  padding: 3px 0;
  position: fixed;
  top: 40%;
  left: 40%;
  background: #111111;
  border: 1px solid #333333;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  border-radius: 4px;
  width: 150px;
  z-index: 101;
}
.action-content::before {
  content: "";
  position: absolute;
  top: 0;
  left: 50%;
  -webkit-transform: translate(-50%, -90%);
          transform: translate(-50%, -90%);
  border-left: 8px solid transparent;
  border-right: 8px solid transparent;
  border-bottom: 8px solid #111111;
}
.action-content .dropdown-item {
  font-style: normal;
  font-weight: normal;
  font-size: 10px;
  line-height: 12px;
  color: #999999;
}
.action-content .dropdown-item a {
  display: block;
  padding: 5px;
}
.action-content .dropdown-item a i {
  margin-right: 10px;
}
.action-content label,
.action-content a {
  font-family: Roboto;
  color: #999999;
  font-size: 12px;
  text-decoration: none;
  display: block;
  cursor: pointer;
  padding: 8px 15px;
  -webkit-transition: all 0.2s;
  transition: all 0.2s;
}
.action-content label i,
.action-content a i {
  margin-right: 10px;
}
.action-content label:hover,
.action-content a:hover {
  color: white;
  -webkit-transition: all 0.2s;
  transition: all 0.2s;
}

.action-content.show {
  display: block;
}

.box-udf {
  position: absolute;
  z-index: 1;
  width: 100%;
  height: 100%;
  background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' stroke='%23F5A623FF' stroke-width='2' stroke-dasharray='6%2c 14' stroke-dashoffset='0' stroke-linecap='square'/%3e%3c/svg%3e");
}

#right_panel {
  position: absolute;
  width: 96px;
  padding-left: 4px;
  height: 100%;
  right: 0;
  background-color: #f0f0f0;
}

#resize {
  background-color: #ccc;
  position: absolute;
  left: 0;
  width: 4px;
  height: 100%;
  cursor: w-resize;
}

.frame22 {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}
.frame22 #a,
.frame22 #b,
.frame22 #c {
  position: static !important;
  width: 100% !important;
  height: 33.333333% !important;
  display: block;
}
.frame22 #a {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
}
.frame22 #b {
  background: url("../../assets/icon/img-white.png") #C8C8C8 no-repeat;
  background-position: center center;
}
.frame22 #c {
  background: url("../../assets/icon/text.png") #F5A623 no-repeat;
  background-position: center center;
}

.frame23 {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}
.frame23 #a,
.frame23 #b,
.frame23 #c {
  position: static !important;
  width: 100% !important;
  height: 33.333333% !important;
  display: block;
}
.frame23 #b {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
}
.frame23 #c {
  background: url("../../assets/icon/img-white.png") #C8C8C8 no-repeat;
  background-position: center center;
}
.frame23 #a {
  background: url("../../assets/icon/text.png") #F5A623 no-repeat;
  background-position: center center;
}

.frame24 {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}
.frame24 #a,
.frame24 #b,
.frame24 #c {
  position: static !important;
  display: block;
}
.frame24 #b {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
  width: 50% !important;
  height: 80% !important;
}
.frame24 #c {
  background: url("../../assets/icon/img-white.png") #C8C8C8 no-repeat;
  background-position: center center;
  width: 50% !important;
  height: 80% !important;
}
.frame24 #a {
  background: url("../../assets/icon/text.png") #F5A623 no-repeat;
  background-position: center center;
  height: 20% !important;
  width: 100% !important;
}

.frame25 {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}
.frame25 #a,
.frame25 #b,
.frame25 #c {
  position: static !important;
  display: block;
}
.frame25 #a {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
  width: 50% !important;
  height: 80% !important;
}
.frame25 #b {
  background: url("../../assets/icon/img-white.png") #C8C8C8 no-repeat;
  background-position: center center;
  width: 50% !important;
  height: 80% !important;
}
.frame25 #c {
  background: url("../../assets/icon/text.png") #F5A623 no-repeat;
  background-position: center center;
  height: 20% !important;
  width: 100% !important;
}

.frame28 #a {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: 24% center;
}
.frame28 #b {
  background: url("../../assets/icon/text.png") #F5A623 no-repeat;
  background-position: 76% center;
}

.frame26 #a {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
}
.frame26 #b {
  background: url("../../assets/icon/text.png") #F5A623 no-repeat;
  background-position: center center;
}

.frame27 #b {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
}
.frame27 #a {
  background: url("../../assets/icon/text.png") #F5A623 no-repeat;
  background-position: center center;
}

.frame29 #b {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: 76% center;
}
.frame29 #a {
  background: url("../../assets/icon/text.png") #F5A623 no-repeat;
  background-position: 24% center;
}

.frame30 #a {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
}
.frame30 #b {
  background: url("../../assets/icon/text.png") #F5A623 no-repeat;
  background-position: center center;
}
.frame30 #c {
  background: url("../../assets/icon/text-white.png") #171D42 no-repeat;
  background-position: center center;
  border-radius: 20px;
}

.frame31 #b {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
}
.frame31 #a {
  background: url("../../assets/icon/text.png") #F5A623 no-repeat;
  background-position: center center;
}
.frame31 #c {
  background: url("../../assets/icon/text-white.png") #171D42 no-repeat;
  background-position: center center;
  border-radius: 20px;
}

.frame32 #b {
  background: url("../../assets/icon/img-white.png") #C8C8C8 no-repeat;
  background-position: center center;
}
.frame32 #a {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
}

.frame33 #b {
  background: url("../../assets/icon/img-white.png") #C8C8C8 no-repeat;
  background-position: center center;
}
.frame33 #a {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
}

.frame34 #a {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
  z-index: 1;
}
.frame34 #b {
  background: url("../../assets/icon/img-gray.png") #171D42 no-repeat;
  background-position: 95% center;
}

.frame35 #a {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
  z-index: 1;
}
.frame35 #b {
  background: url("../../assets/icon/text-white.png") #171D42 no-repeat;
  background-position: 5% center;
}

.frame36 #a {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
  z-index: 1;
}
.frame36 #b {
  background: url("../../assets/icon/img-white.png") #C8C8C8 no-repeat;
  background-position: center center;
}
.frame36 #c {
  background: #171D42;
  background-position: center center;
}

.frame37 #a {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
  -webkit-transform: rotate(-10deg);
          transform: rotate(-10deg);
  z-index: 1;
}
.frame37 #b {
  background: url("../../assets/icon/img-white.png") #C8C8C8 no-repeat;
  background-position: center center;
  -webkit-transform: rotate(10deg);
          transform: rotate(10deg);
}
.frame37 #c {
  background: #171D42;
  background-position: center center;
}

.frame38 #a {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
  z-index: 1;
}
.frame38 #b {
  background: url("../../assets/icon/img-white.png") #C8C8C8 no-repeat;
  background-position: center center;
}

.frame39 #a {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
  -webkit-clip-path: polygon(25% 0%, 99% 0, 74% 100%, 0% 100%);
          clip-path: polygon(25% 0%, 99% 0, 74% 100%, 0% 100%);
}
.frame39 #b {
  background: url("../../assets/icon/img-gray.png") white no-repeat;
  background-position: center center;
  -webkit-clip-path: polygon(26% 0, 100% 0, 75% 100%, 1% 100%);
          clip-path: polygon(26% 0, 100% 0, 75% 100%, 1% 100%);
}
.frame39 #c {
  background: #171D42;
  background-position: center center;
  z-index: 1;
}

.vcedit-text {
  padding: 0 10px;
}
.vcedit-text img {
  width: 100%;
  height: 100%;
}

.vcedit-icon {
  width: 100%;
  height: 100%;
}

.gblcbk {
  cursor: all-scroll !important;
  border: dashed 1px #F5A623 !important;
}
.gblcbk .square {
  border-color: #F5A623 !important;
  background-color: #F5A623 !important;
}
/*# sourceMappingURL=BodyMain.css.map */